﻿CREATE TABLE [dbo].[Data.Application.User] (
	[Id]                      BIGINT         NOT NULL,
	[UserName]                NVARCHAR (100) NOT NULL,
	[PasswordHash]            NVARCHAR (86)  NOT NULL,
	[PasswordSalt]            NVARCHAR (8)   NOT NULL,
	[Enabled]                 BIT            NOT NULL,
	[ValidationKey]           NVARCHAR (86)  NULL,
	[UserType]                INT            NULL,
	[LoggedInOn]              DATETIME       NULL,
	[LastLoggedInOn]          DATETIME       NULL,
	[ExternalId]              NVARCHAR (255) NULL,
	[IsClientAuthenticated]   BIT            NOT NULL,
	[ScreenName]              NVARCHAR (50)  NULL,
	[IsMigrated]              BIT            NOT NULL,
	[RegulationsConsent]      BIT            NOT NULL,
	[CreatedOn]               DATETIME       NOT NULL,
	[UpdatedOn]               DATETIME       NOT NULL,
	[DeletedOn]               DATETIME       NULL,
	[PersonId]                BIGINT         NOT NULL,
	[Pin]                     NVARCHAR (16)  NULL,
	[FirstLoggedInOn]         DATETIME       NULL,
	[Blocked]                 BIT            NOT NULL,
	[ValidationKeyExpiry]     DATETIME       NULL,
	[AccountDisabledReason]   INT            NULL,
	[MigratedPasswordHash]    NVARCHAR (86)  NULL,
	[MigrationId]             NVARCHAR (255) NULL,
	[PasswordAttempts]        INT            NOT NULL,
	[BlockedReason]           INT            NULL
);

